ares (126-2) unstable; urgency=medium

  * Add no-optional-extensions.patch, removing flag -march-native
    and the n64 core which relies on SSE 4.2.

 -- Tobias Hansen <thansen@debian.org>  Wed, 09 Feb 2022 22:59:39 +0000

ares (126-1) unstable; urgency=medium

  * New upstream release.
  * Provide ares instead of higan because it is more user friendly
    and actively maintained. (Closes: #1003848)

 -- Tobias Hansen <thansen@debian.org>  Sun, 16 Jan 2022 20:47:16 +0000

higan (106-2) unstable; urgency=medium

  * Build hiro without SourceEdit to avoid dependence on
    libgtksourceview2.0-dev. (Closes: #885687)

 -- Tobias Hansen <thansen@debian.org>  Sat, 30 Dec 2017 16:09:44 +0100

higan (106-1) unstable; urgency=medium

  * New upstream release.

 -- Tobias Hansen <thansen@debian.org>  Mon, 20 Nov 2017 20:34:12 +0100

higan (105-1) unstable; urgency=medium

  * New upstream release (Closes: #791636).
  * Remove noopt.patch, makefile now allows build without optimization
    by setting build=debug.

 -- Tobias Hansen <thansen@debian.org>  Mon, 09 Oct 2017 23:28:22 +0100

higan (104-1) unstable; urgency=medium

  * New upstream release.
  * Remove sjlj-ftbfs.patch (applied upstream).
  * Remove old user guide since there is now an official user guide
    provided online and linked from the Help menu.
  * Bump Standards-Version to 4.1.0.

 -- Tobias Hansen <thansen@debian.org>  Sat, 02 Sep 2017 19:33:51 +0100

higan (103-2) unstable; urgency=medium

  * Apply sjlj-ftbfs.patch from Adrian Bunk (Closes: 869385)
    (Include settings.h for thread_local.)

 -- Tobias Hansen <thansen@debian.org>  Sun, 23 Jul 2017 21:46:27 +0100

higan (103-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Bump Standards-Version to 4.0.0.

 -- Tobias Hansen <thansen@debian.org>  Sat, 22 Jul 2017 13:36:18 +0100

higan (102-1) experimental; urgency=medium

  * New upstream release. (Closes: #837553)
  * Higan no longer has profiles (accuracy, balanced, performance).
    New versions of higan use what used to be the accuracy profile.
    Consequently the update-alternatives mechanism to choose a profile
    was removed from the package.
  * Switch to dh compat level 10.
  * Use install target of upstream makefile.
  * Remove disable_long_double_size_check.patch (applied upstream).
  * Disable udev on kfreebsd. (Closes: #834061)

 -- Tobias Hansen <thansen@debian.org>  Mon, 13 Feb 2017 21:23:07 +0000

higan (098-2) unstable; urgency=medium

  * Disable check for the size of long double to
    fix build on armel, armhf, mips and mipsel.
  * New patch to fix build on kfreebsd:
    - disable-alsa-on-non-linux.patch

 -- Tobias Hansen <thansen@debian.org>  Tue, 28 Jun 2016 11:16:28 +0100

higan (098-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches (no longer needed):
    - load-private-libraries.patch
    - force-button-images.patch
    - fc-heuristic-error.patch
    - dt_lnk-dt_unknown.patch
    - handle-opengl-x-error.patch
  * Change patches:
    - noopt-nostrip.patch to noopt.patch:
      Binaries are no longer stripped by default.
  * Refresh/update patches:
    - nall-makefile-fixes.patch
    - makefile-fixes.patch
    - desktop-file.patch
    - sjlj-declare-xopen-source.patch
    - use-XDG_CONFIG_HOME.patch
  * New patches:
    - use_sharedpath.patch
    - ignore_manifests_by_default.patch
    - create_config.patch
    - include_cmath.patch
  * Fix .desktop file syntax. (Closes: #812482)
  * Update homepage URL. (Closes: #808788)
  * Bump Standards-Version.
  * Remove menu file.
  * Remove lintian override for menu-command-not-in-package.
  * Update debian/watch.
  * Use https vcs urls.
  * Update debian/copyright with new file locations.
  * Update user guide.
  * Write man page for icarus.

 -- Tobias Hansen <thansen@debian.org>  Sun, 26 Jun 2016 12:56:27 +0100

higan (094-6) unstable; urgency=medium

  * Instead of checking for the available OpenGL version,
    try creating an OpenGL 3.2 context and handle possible X errors.
    The previous check would find the OpenGL compatibility profile version
    which can be lower than the core profile version (e.g. when using Mesa)
    leading to false positives. (Closes: #790114)
    - Remove check-opengl-version.patch
    - Add handle-opengl-x-error.patch
  * Remove transitional dummy package bsnes.
  * Add Provides: nes-emulator to d/control (Closes: #777098)
  * Create debian/watch.
  * Bump Standards-Version to 3.9.6.

 -- Tobias Hansen <thansen@debian.org>  Tue, 14 Jul 2015 23:52:16 +0200

higan (094-5) unstable; urgency=medium

  * Use standard gcc instead of gcc-4.8. (Closes: #751314)

 -- Tobias Hansen <thansen@debian.org>  Sun, 03 Aug 2014 16:57:25 +0200

higan (094-4) unstable; urgency=medium

  * Add a hack to the postinst script to make higan show up
    in gnome-shell right after the installation. (Closes: #748018)
  * Add another patch by Michael Gold:
    - use-XDG_CONFIG_HOME.patch:
      Store config files in $XDG_CONFIG_HOME if set. (Closes: #738270)

 -- Tobias Hansen <thansen@debian.org>  Sun, 18 May 2014 11:22:08 +0200

higan (094-3) unstable; urgency=medium

  * Add patches by Michael Gold:
    - dt_lnk-dt_unknown.patch:
      Handle symlinks/DT_UNKNOWN correctly. (Closes: #737361)
    - fc-heuristic-error.patch:
      Prevent crash when importing unheadered NES ROM. (Closes: #737363)
    - noopt-nostrip.patch:
      Support DEB_BUILD_OPTIONS='noopt nostrip'. (Closes: #737364)
  * Modify patch:
    - load-private-libraries.patch:
      Look for libraries first in LD_LIBRARY_PATH first. (Closes: #737365)

 -- Tobias Hansen <thansen@debian.org>  Mon, 24 Feb 2014 23:50:09 +0100

higan (094-2) unstable; urgency=medium

  * New patch sjlj-declare-xopen-source.patch:
    sjlj.c requires the X/Open 7 standard which caused
    FTBFS on all architectures except amd64, i386 and powerpc.
  * Disable fortify hardening flag when sjlj.c is used, it breaks
    higan (tested with sjlj.c on amd64).
  * Add lintian overrides for debian-watch-file-is-missing and
    hardening-no-fortify-functions.

 -- Tobias Hansen <thansen@debian.org>  Sat, 25 Jan 2014 12:59:26 +0100

higan (094-1) unstable; urgency=medium

  * New upstream release.
  * New dependency libudev on Linux.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Update user guide.
  * Delete patches applied upstream:
    - debian/patches/detect-endianness.patch
    - debian/patches/detect-non-linux-archs.patch
    - debian/patches/disable-alsa-on-non-linux.patch
  * New patches:
    - debian/patches/force-button-images.patch:
      Fixes missing images on buttons.
    - debian/patches/check-opengl-version.patch:
      Handle missing OpenGL 3.2 support gracefully.
      (Closes: #730836)
  * Remove debian/watch because byuu.org/higan is gzip
    compressed unconditionally which uscan does not support.

 -- Tobias Hansen <thansen@debian.org>  Sat, 25 Jan 2014 02:24:18 +0100

higan (093-2) unstable; urgency=low

  * Use g++-4.8 on all architectures (at least g++-4.7 is required).
  * Move from section games to otherosfs, move files accordingly from
    /usr/games to /usr/bin, /usr/share/games to /usr/share.
  * Add preinst scripts to remove old alternatives bsnes-bin and higan.
  * Remove Brandon Barnes from debian/* copyright holders, everything
    was redone multiple times since then. Change license of debian/*
    to GPL-3.

 -- Tobias Hansen <thansen@debian.org>  Wed, 27 Nov 2013 00:28:21 +0100

higan (093-1) unstable; urgency=low

  * New upstream release (Closes: #697130, #698848, #709979)
  * Program was renamed to higan.
    - Rename package.
    - New packaging git repository.
  * bsnes becomes transitional package.
  * laevateinn (debugger) was removed.
  * Include user guide in html format.
  * Shared files are no longer copied to ~/.config/higan at startup.
  * Include library libananke for importing games, installed
    to /usr/lib/games/higan, replaces bsnes-purify.
  * Lots of packaging adjustments to accommodate to many upstream changes.

 -- Tobias Hansen <thansen@debian.org>  Wed, 09 Oct 2013 01:20:17 +0200

bsnes (0.088-7) unstable; urgency=low

  * Make filters non-executable.
    (Closes: #715586, #715589, #715595, #715596, #715601)
  * Use canonical Vcs-* fields (with anonscm.d.o).

 -- Tobias Hansen <thansen@debian.org>  Sun, 14 Jul 2013 11:58:28 +0200

bsnes (0.088-6) unstable; urgency=low

  * Added missing X11 lib to link, fixing FTBFS. (Closes: #713712)
  * Do not assume /usr/games is in $PATH, call the full path of
    the alternatives links /usr/share/bsnes-bin and laevateinn-bin
    from the start scripts. (Closes: #692163)
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Use dh --parallel.

 -- Tobias Hansen <thansen@debian.org>  Sat, 22 Jun 2013 19:45:44 +0200

bsnes (0.088-5) unstable; urgency=low

  * Fix issues with bsnes-purify (Closes: #687034):
    - Fix segmentation fault when run with less than two arguments.
    - Purify also files with uppercase suffix.
  * Add missing epoch to versioned Build-Depends on gcc (Closes: #687197).
  * Remove workaround for g++ bug PR c++/53821, which is now fixed in wheezy.
  * Change my email address in debian/control to the debian.org one.
  * Remove DMUA flag.

 -- Tobias Hansen <thansen@debian.org>  Sun, 23 Sep 2012 20:05:41 +0200

bsnes (0.088-4) unstable; urgency=low

  * Add workaround for g++ bug PR c++/53821. (Closes: #684840)

 -- Tobias Hansen <tobias.han@gmx.de>  Tue, 04 Sep 2012 01:54:01 +0200

bsnes (0.088-3) unstable; urgency=low

  * Add bsnes-purify to the bsnes package.
    A command line tool that replaces snespurify and adds:
    - support for ROMs of other systems than SNES
    - creates cartridge folders for ROMs (folders for all data
      belonging to a game - will be mandatory starting from bsnes 0.089)
  * debian/bsnes-purify.6
    - Added. Manual page for bsnes-purify.
  * debian/patches/fix-purify-header-removal-and-input.patch:
    - Added. Header detection was broken and the tool didn't
      accept folder names without trailing slash.
  * debian/changelog:
    - Remove wrong line "Rename snespurify to bsnes-purify."
      from 0.088-1 entry.

 -- Tobias Hansen <tobias.han@gmx.de>  Fri, 11 May 2012 13:15:13 +0200

bsnes (0.088-2) unstable; urgency=low

  * debian/patches/remove-march=native-build-flag.patch:
    - Added. This build flag causes binaries that don't work on all processors
      and is not supported on all architectures.

 -- Tobias Hansen <tobias.han@gmx.de>  Sat, 05 May 2012 13:10:27 +0200

bsnes (0.088-1) unstable; urgency=low

  [Gregor Herrmann]
  * Fix "FTBFS: ./ruby/audio/alsa.cpp:4:28: fatal error:
    alsa/asoundlib.h: No such file or directory":
    build-depend on libasound2-dev (linux) (Closes: #669447)

  [Tobias Hansen]
  * New upstream release.
    - Adds Game Boy Advance support.
    - Removes snespurify sources.
    - Compiles with gcc 4.7. (Closes: #667122)
  * snespurify removed from package bsnes.
  * debian/rules:
    - Don't use the install targets of the makefiles anymore.
    - Check DEB_BUILD_OPTIONS for 'testbuild', build only
      bsnes-compatibility when found to allow for fast test builds.
  * Install new system folders to /usr/share/games/bsnes and 
    /usr/share/games/laevateinn.
    - Copy folders and symlink to files in debian/startscript/bsnes.
    - Rename laevateinn binary to laevateinn-bin, create wrapper script
      laevateinn to copy folders and symlink to files also for laevateinn.
    - Create man page for laevateinn-bin. 
  * debian/bsnes.6:
    - Mention Game Boy Advance support.
    - Mention system folders and bios image required for GBA emulation.
    - Add note that files with wrong extensions or copier headers can't be
      opened.
  * debian/patches/misc-makefile-changes.patch:
    - Removed. Installation is now done in debian/bsnes.install
      and debian/rules.
    - Disabling ALSA is now done in
      debian/patches/disable-alsa-on-non-linux.patch.
  * debian/patches/disable-alsa-on-non-linux.patch:
    - Added. This is what is left of
      debian/patches/misc-makefile-changes.patch.
  * debian/patches/build-snespurify-with-newest-g++.patch:
    - Removed. Obsolete since purify uses a makefile now.
  * debian/patches/use-dpkg-buildflags.patch:
    - Changed. Cope with purify using a makefile.
  * debian/patches/detect-endianness.patch
    debian/patches/detect-non-linux-archs.patch
    debian/patches/snespurify-dont-crash-on-bad-zip-files.patch:
    - Changed. Address upstream changes.
  * debian/patches/declare-functions-in-smp-hpp.patch:
    - Removed. FTBFS was fixed upstream.
  * debian/watch: look for .tar.xz file.

 -- Tobias Hansen <tobias.han@gmx.de>  Sat, 05 May 2012 11:00:20 +0200

bsnes (0.087-1) unstable; urgency=low

  * New upstream release.
  * Include laevateinn, the bsnes debugger:
    - New package laetvateinn.
    - Create debian/laevateinn.6, debian/laevateinn.desktop,
      debian/laevateinn.menu, debian/laevateinn.xpm,
      and debian/laevateinn.png.
  * debian/bsnes.6:
    - Reference laevateinn(6).
  * Add Suggests: laevateinn to bsnes package.
  * debian/patches/declare-functions-in-smp-hpp.patch:
    - Added. Needed to fix FTBFS of bsnes-performance.
  * debian/patches/use-dpkg-buildflags.patch:
    - Added. Makefiles have to be modified to support CFLAGS.
  * debian/patches/reduce-optimization.patch:
    - Removed. With dpkg-buildflags, the optimization flags
      can now be set in debian/rules. 
  * debian/patches/misc-makefile-changes.patch:
    - Changed. Use OpenAL for laevateinns audio on non-Linux archs.
    - Address upstream changes.
  * Adopt new standards:
    - Standards-Version 3.9.3
    - debhelper compat level 9
    - copyright format 1.0
  * Enable (default) hardening buildflags via dpkg-buildflags.
    No optional ones for now, because they could impact performance,
    which is crucial for bsnes.

 -- Tobias Hansen <tobias.han@gmx.de>  Sun, 01 Apr 2012 15:43:00 +0200

bsnes (0.085-1) unstable; urgency=low

  * New upstream release.

 -- Tobias Hansen <tobias.han@gmx.de>  Thu, 12 Jan 2012 23:52:21 +0100

bsnes (0.084-1) unstable; urgency=low

  [ Tobias Hansen ]
  * New upstream release.
  * Remove optimization flags not available on alpha.

  [ Gonéri Le Bouder ]
  * Add: DM-Upload-Allowed: yes

 -- Tobias Hansen <tobias.han@gmx.de>  Wed, 09 Nov 2011 23:55:12 +0100

bsnes (0.083-2) unstable; urgency=low

  * Properly detect endianness on all architectures. (Closes: #645710)
  * Escape minuses in man pages.

 -- Tobias Hansen <tobias.han@gmx.de>  Tue, 18 Oct 2011 02:11:24 +0200

bsnes (0.083-1) unstable; urgency=low

  * New upstream release.
  * Create symlinks instead of copying files in startscript. (Closes: #642348)
  * Fix FTBFS on kfreebsd due to enabled ALSA and missing check for 
    __FreeBSD_kernel__. (Closes: #640912)
  * Add Build-Depends: gcc (>= 4.6), because building with gcc 4.5 causes a bug.
  * Mention update-alternatives in package description.
  * Add bugfix for snespurify crashing when scanning a broken zip file.
  * Main license changed to GPL-3.
  * Mention new functionality in snespurify man page.
  * Build with -O1 + flags from -O3 instead of -O3.

 -- Tobias Hansen <tobias.han@gmx.de>  Sun, 16 Oct 2011 00:45:33 +0200

bsnes (0.081-2) unstable; urgency=low

  * New upstream release.
  * Fix FTBFS due to hardwired gcc-4.5. (Closes: #637694)

 -- Tobias Hansen <tobias.han@gmx.de>  Sat, 13 Aug 2011 23:36:22 +0200

bsnes (0.080-1) unstable; urgency=low

  * Initial release (Closes: #598968)

 -- Tobias Hansen <tobias.han@gmx.de>  Fri, 05 Aug 2011 14:02:01 +0200
